<div class="gridContainer box-shadow">
  <dx-data-grid #gridUsers [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
    [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
    [height]='ui.fullHeight' [dataSource]='dsUsers' (onToolbarPreparing)="toolbarPreparing($event, true)">

    <dxo-export [enabled]='true' [enabled]='true' fileName='users'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>
    <dxo-editing mode="row" [allowUpdating]="true"></dxo-editing>

    <dxi-column caption='Nume și Prenume' dataField='fullName' dataType='string' [allowHeaderFiltering]='false'
      [allowEditing]='false'></dxi-column>
    <dxi-column caption='Adresa E-mail' dataField='emailAddress' dataType='string' [allowHeaderFiltering]='false'
      [allowEditing]='false'></dxi-column>
    <!-- <dxi-column caption='Utilizator' dataField='loginName' dataType='string' [allowHeaderFiltering]='false'></dxi-column> -->
    <dxi-column caption='Telefon' dataField='phone' dataType='string' [allowHeaderFiltering]='false' [allowEditing]='false'></dxi-column>
    <dxi-column caption='CNP' dataField='pin' dataType='number' [allowHeaderFiltering]='false' [allowEditing]='false'></dxi-column>
    <dxi-column caption='Rol' dataType='string' [allowHeaderFiltering]='false' [allowEditing]='false'>
    </dxi-column>
    <dxi-column caption='Activ' dataField='isActiv' dataType='boolean' [width]='100'></dxi-column>
    <dxi-column type="buttons" fixedPosition='right' [width]='100' [fixed]='true' [allowResizing]='false'
      [showInColumnChooser]='false'>
      <dxi-button name='edit' icon='edit'></dxi-button>
      <dxi-button hint='Schimbă rol' icon='preferences' [onClick]='openChangeRole' [visible]='changeUserRole'></dxi-button>
    </dxi-column>

    <div *dxTemplate="let user of 'details'">
      <dx-tab-panel height='400'>
        <dxi-item title='Organizatii'>
          <dx-data-grid #gridWorkstation [height]='350' [columnAutoWidth]='true' [allowColumnResizing]='true'
            [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
            [showRowLines]='ui.showRowLines' (onToolbarPreparing)="toolbarPreparing($event)" (onRowInserting)='onRowInserting($event, user.data)'
            (onContentReady)="onWcContentReady($event, user.data)">
            <dxo-editing mode="row" [allowUpdating]="true" [allowAdding]="true" [allowDeleting]="true">
            </dxo-editing>
            <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>

            <dxi-column caption='Entitate' dataField='entityId' dataType='string' [setCellValue]="onSetCellValueEntity">
              <dxo-lookup [dataSource]='dsEnt' valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
            <dxi-column caption='Punct de lucru' dataField='workCenterId' dataType='string'>
              <dxo-lookup [dataSource]='getFilteredWc' valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
          </dx-data-grid>
        </dxi-item>
        <dxi-item title='Zone'>
          <dx-data-grid #gridZones [height]='350' [columnAutoWidth]='true' [allowColumnResizing]='true'
            [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
            [showRowLines]='ui.showRowLines' (onToolbarPreparing)="toolbarPreparing($event)" (onRowInserting)='onRowInserting($event, user.data)'
            (onContentReady)="onZoneContentReady($event, user.data)">
            <dxo-editing mode="row" [allowUpdating]="true" [allowAdding]="true" [allowDeleting]="true">
            </dxo-editing>
            <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>

            <dxi-column caption='Zonă' dataField='zoneId' dataType='string'>
              <dxo-lookup [dataSource]='dsGaRegions' valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
          </dx-data-grid>
        </dxi-item>
      </dx-tab-panel>
    </div>
  </dx-data-grid>
</div>

<dx-popup [(visible)]="isChangeRoleVisible" closeOnOutsideClick="true" height='auto' minWidth='200' maxWidth='500'>
  <div *dxTemplate='let data of "title"' class='popupHeader'>
    <div class='row'>
      <div class="logo-small popupImage">
        <img src="/favicon.ico">
      </div>
      <span class='popupText'>Schimba rol user</span>
      <div class='closeButton'>
        <dx-button icon='close' (onClick)='cancelSave()'> </dx-button>
      </div>
    </div>
  </div>
  <div *dxTemplate='let data of "content"'>
    <h3>Rol curent: {{changeCurrentRole.name}}</h3>
    <div>Rol nou:</div>
    <dx-select-box #newRoleInst style='margin: 15px 0' [dataSource]='dsRoles' valueExpr='id' displayExpr='name'>
    </dx-select-box>
    <dx-button text='Salvează' (onClick)='onUserChangeRole($event, newRoleInst.value)'></dx-button>
  </div>
</dx-popup>

<app-invite-user [popupVisible]='isInviteUserVisible' [roleId]='currentRoleId' (onClosePopup)='onInviteClose($event)'></app-invite-user>